For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • PUTAbsolute Adjustment
              • POSTRelative Adjustment
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryAdjustments

Relative Adjustment

POST
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/adjustments/relative
POST
/stores/:store_hash/v3/inventory/adjustments/relative
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/inventory/adjustments/relative \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "items": [
> {
> "location_id": 1,
> "sku": "RE-130",
> "quantity": 5,
> "variant_id": 101
> },
> {
> "location_id": 2,
> "sku": "RE-131",
> "quantity": -3,
> "variant_id": 103
> },
> {
> "location_id": 3,
> "sku": "BK-204",
> "quantity": 10,
> "variant_id": 0
> },
> {
> "location_id": 1,
> "sku": "BK-205",
> "quantity": -2,
> "variant_id": 0
> },
> {
> "location_id": 1,
> "sku": "RE-132",
> "quantity": 7,
> "variant_id": 0
> }
> ],
> "reason": "Inventory adjustment due to stock audit"
>}'
1{
2 "transaction_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890"
3}
Add or subtract inventory for an inventory item at a location. Use this endpoint only when you do not know absolute quantities. For example, making order-related inventory changes through a third-party may require relative adjustments. Otherwise, use the [Absolute adjustment](/developer/api-reference/rest/admin/management/inventory/adjustments/put-absolute-adjustment) endpoint for updating inventory. **Limits** * For maximum inventory levels, see [Inventory adjustments](/developer/docs/admin/catalog-and-inventory/inventory-adjustments#inventory-adjustments). * Limit of 2000 items for payload length, see [Optimizing performance](/developer/docs/admin/catalog-and-inventory/inventory-adjustments#optimizing-performance) for more information.
Was this page helpful?
Previous

Absolute Adjustment

Next

List Inventory at Locations

Built with

Add or subtract inventory for an inventory item at a location. Use this endpoint only when you do not know absolute quantities. For example, making order-related inventory changes through a third-party may require relative adjustments. Otherwise, use the Absolute adjustment endpoint for updating inventory.

Limits

  • For maximum inventory levels, see Inventory adjustments.
  • Limit of 2000 items for payload length, see Optimizing performance for more information.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
itemslist of objectsRequired

One of the sku, product_id, or variant_id is required to identify the item.

reasonstringOptional
Reason for the adjustment operation.

Response

Request has been successfully processed.
transaction_idstring
Unique identifier of performed action.

Errors

422
Unprocessable Entity Error

The MIME type of the response body.